---
# We test the monitoring down here because we need to give Prometheus a bit of
# time to boot and collect the first bits of data.
- name: Check monitoring
  hosts: orchestrator
  gather_facts: false
  vars_files:
  - vars/retries.yaml
  pre_tasks:
  - name: include env vars
    ansible.builtin.include_vars:
      dir: "{{ kms_vars_directory }}"
    tags:
    - always
  tags:
  - test-mk8s-ms
  - check-mk8s-ms
  roles:
  - role: monitoring_v2_test
    tags:
    - test-mk8s-ms/monitoring_v2
    - check-mk8s-ms/monitoring_v2
    - monitoring_v2_test
    when: (k8s_monitoring_enabled | bool) and not (monitoring_use_jsonnet_setup | default(False))
...
